using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.WinControls;

namespace Demo_Project.Shape
{
    public class SpotShape : ElementShape
    {
        public static int Width = 60;
        public static int Height = 40;
        public static int WidthGap = 4;
        public static int HeightGap = 2;

        public override GraphicsPath CreatePath(Rectangle bounds)
        {
            var path = new GraphicsPath();
            path.AddPolygon(new Point[]
            {
                new Point(bounds.X + bounds.Width *  0 / 60 , bounds.Y + bounds.Height *  0 / 40),
                new Point(bounds.X + bounds.Width *  0 / 60 , bounds.Y + bounds.Height * 40 / 40 ),
                new Point(bounds.X + bounds.Width * 60 / 60 , bounds.Y + bounds.Height * 40 / 40 ),
                new Point(bounds.X + bounds.Width * 60 / 60 , bounds.Y + bounds.Height *  0 / 40 ),
            });
            return path;
        }
    }
}
